## kdepim 4.4.6

=== debian/changelog ===
kdepim (4:4.4.6-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump build-dependencies

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 10 Sep 2010 13:19:12 +0200

kdepim (4:4.4.5-0ubuntu2) maverick; urgency=low

  * Build against kde4libs 4.4.92-0ubuntu3 for qtwebkit transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 Jul 2010 09:42:21 +0100

kdepim (4:4.4.5-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Jun 2010 14:20:09 +0100

kdepim (4:4.4.4-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump build-depends
    - Update install files
    - Switch to source format 3.0
    - Remove README.source

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 09 Jun 2010 03:14:06 +0200

kdepim (4:4.4.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Keep kdepim-doc.install where we ship docs for all packages which are in
      kdepim metapackage
    - Keep debian/kalarm-icons
    - Keep our patch
    - Build against libboost1.42-dev and libboost-graph1.42-dev
    - No libgnokii build-dep
    - Add libindicate-qt-dev, kdepim-runtime-dev, libxml2-dev, sharutils to build-deps
    - Add kdepim-runtime do depends in kdepim metapackage
    - No kleopatra and akonadiconsole to depends in kdepim metapackage (Universe)
    - Keep our kdepim-dev package and add kdepim-dev.install
    - Change DCOP to DBus in Kalarm package description
    - Add kdepim-runtime in kdepim-groupware and kmail depends
    - Kleopatra depends only on pinentry-qt4, pinentry-x11 is not in archive
    - Kmail recommends pinentry-qt4, pinentry-x11 is not in archive and
      pinentry-qt is build against qt3
    - kmail suggests not recommends procmail
    - In kmail suggests don't add f-prot-installer and annoyance-filter are
      not in archive
    - knode, knotes, konsolekalendar, kontact, korganizer depends on
      kdepim-runtime
    - kjots depends on akonadi-server
    - In kontact don't add ktimeticker,it's not in archive
    - debian/akregator,kaddressbook,kalarm,kjots,kmail,knode,knotes,kontact,
      ktimetracker,korganizer{.install}:
    - Don't add docs which are in kdepim-doc.install
    - debian/rules:
    - Keep rules for binary-install/kalarm

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 20 May 2010 21:46:12 +0200

kdepim (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Suggest gnupg2 to kmail.

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:55 +0300

kdepim (4:4.4.3-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release
    - Bump KDE build-depends to 4.4.3

 -- Christian Mangold <neversfelde@ubuntu.com>  Sat, 01 May 2010 00:05:26 +0200

kdepim (4:4.4.2-0ubuntu5) lucid; urgency=low

  * Drop kubuntu_03_kmail_ksni.diff, it causes problems on Gnome

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Apr 2010 17:13:00 +0100

kdepim (4:4.4.2-0ubuntu4) lucid; urgency=low

  * Update kubuntu_03_kmail_ksni.diff from Aurelien Gateau, fix font
    size being too small on unread mail counter

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Apr 2010 14:18:55 +0100

kdepim (4:4.4.2-0ubuntu3) lucid; urgency=low

  * Add kubuntu_03_kmail_ksni.diff from Aurelien Gateau, makes KMail
    systray icon use KStatusNotifierItem

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Apr 2010 11:30:11 +0100

kdepim (4:4.4.2-0ubuntu2) lucid; urgency=low

  [ Scott Kitterman ]
  * Bump kdepim-groupware replaces knotes version to 4:4.2.2-0ubuntu1 to
    account for the version in intrepid-backports

  [ Jonathan Riddell ]
  * Update kubuntu_02_kalarm_kstatusnotifieritem.diff from Aurelien
    Gateau, ensures KAlarm icon shows up on GNOME

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Apr 2010 14:51:56 +0100

kdepim (4:4.4.2-1) experimental; urgency=low

  * New upstream release:
    - KMail no longer corrupts single attachment of multipart emails generated
      by MS Outlook or Outlook Express. (Closes: #505153)
    - KAddressBook requires Akonadi. (Closes: #535324)
    - KMail no longer blocks on GPG operations. (Closes: #186164)
    - Events can now be moved between calendars in KOrganizer.
      (Closes: #308311)
    - As-you-type spell checking can now be disabled in KNode.
      (Closes: #327447)
    - Akregator now renders first line break correctly. (Closes: #454137)
    - Improved handling of (malformed) multi-line headers in KMail.
      (Closes: #459831)
    - KMail uses current locale settings for group header in aggregation.
      (Closes: #532696)
    - Custom fonts work again in KMail message list. (Closes: #541722)
    - KTimeTracker's documentation does not refer to unexisting commands.
      (Closes: #535689)
    - KOrganizer seems to start for the user now. (Closes: #566251)
    - KAddressbook now correctly opens vCards with ENCODING=8BIT.
      (Closes: #574092)
    - KMail no longer caches possibly outdated UTC time zone offsets.
      (Closes: #448643)

  [ Pino Toscano ]
  * "mime" -> "MIME" in libmimelib4 descriptions. (Closes: #567159)
  * kalarm does no more need to suggest kmix. Thanks David Jarvie for the
    heads up! (Closes: #514612)

  [ Modestas Vainius ]
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump KDE build dependencies to 4:4.4.
  * Bump libphonon-dev build dependency to 4:4.4.6.0really4.3.80.
  * Bump pkg-kde-tools build dependency to 0.6.4.
  * Drop libknotificationitem-1-dev from Build-Depends: no longer needed.
  * Bump akonadi build dependency to 1.3.0.
  * Drop 01_slot_fix.diff patch, taken from upstream.
  * Add DEP-3 headers to the 30_debianize_akregator_default.diff patch.

