=== debian/control ===
Source: kdepim
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>,
 Michael Meskes <meskes@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.5.1),
 cdbs, cmake, debhelper (>= 7.3), quilt, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.5), libphonon-dev (>= 4:4.7.0really4.4.2),
 libgpgme11-dev, libboost1.42-dev, libboost-graph1.42-dev, libsasl2-dev,
 xsltproc, libxss-dev, libqca2-dev (>= 2.0.0), libassuan-dev,
 libstreams-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3), libsearchclient-dev (>= 0.6.3),
 libstrigihtmlgui-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3), zlib1g-dev,
 libakonadi-dev (>= 1.3.85), libpisock-dev, shared-desktop-ontologies (>= 0.5),
 libindicate-qt-dev (>= 0.2.2), kdepim-runtime (>= 4:4.4.6), libxml2-dev,  sharutils
Standards-Version: 3.8.4
Homepage: http://pim.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdepim/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdepim/ubuntu

Package: kdepim
Architecture: all
Depends: ${misc:Depends}, kdepim-runtime, akregator (>= ${source:Version}), kaddressbook (>= ${source:Version}),
 kalarm (>= ${source:Version}), kdepim-kresources (>= ${source:Version}), kdepim-wizards (>= ${source:Version}),
 kmail (>= ${source:Version}), knode (>= ${source:Version}), knotes (>= ${source:Version}),
 konsolekalendar (>= ${source:Version}), kontact (>= ${source:Version}), korganizer (>= ${source:Version}),
 ktimetracker (>= ${source:Version}), kdepim-strigi-plugins (>= ${source:Version}), kjots (>= ${source:Version}),
 blogilo (>= ${source:Version})
#kleopatra (>= ${source:Version})
#akonadiconsole (>= ${source:Version})
Suggests: kdepim-doc
Description: Personal Information Management apps from the official KDE release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of Personal Information Management
 (PIM) applications provided with the official release of KDE.

Package: kdepim-dbg
Priority: extra
Section: debug
Depends: ${misc:Depends}, kdepimlibs-dbg,
 kdepim  (= ${source:Version}) |
 kaddressbook (= ${binary:Version}) |
 kalarm (= ${binary:Version}) |
 kdepim-groupware (= ${binary:Version}) |
 kdepim-kresources (= ${binary:Version}) |
 kdepim-strigi-plugins (= ${binary:Version}) |
 kdepim-wizards (= ${binary:Version}) |
 kjots (= ${binary:Version}) |
 kleopatra (= ${binary:Version}) |
 kmail (= ${binary:Version}) |
 knode (= ${binary:Version}) |
 knotes (= ${binary:Version}) |
 konsolekalendar (= ${binary:Version}) |
 kontact (= ${binary:Version}) |
 korganizer (= ${binary:Version}) |
 ktimetracker (= ${binary:Version}) |
 blogilo (= ${binary:Version}) |
 libkdepim4 (= ${binary:Version}) |
 libkleo4 (= ${binary:Version}) |
 libkpgp4 (= ${binary:Version}) |
 libksieve4 (= ${binary:Version}) |
 libmaildir4 (= ${binary:Version}) |
 libmimelib4 (= ${binary:Version}) |
 libmessagecore4 (= ${binary:Version}) |
 libmessagelist4 (= ${binary:Version}) |
 libmessageviewer0 (= ${binary:Version})
Replaces: kdeutils-dbg (<< 4:4.0.80)
Architecture: any
Description: debugging symbols for kdepim
 This package contains the debugging symbols associated with kdepim.
 They will automatically be used by gdb for debugging kdepim-related
 issues.

Package: kdepim-dev
Architecture: any
Depends: kdepim-runtime, akregator (>= ${binary:Version}),
 kaddressbook (>= ${binary:Version}), kalarm (>= ${binary:Version}),
 kdepim-kresources (>= ${binary:Version}), kjots (>= ${binary:Version}),
 kdepim-wizards (>= ${binary:Version}), kmail (>= ${binary:Version}),
 knode (>= ${binary:Version}), knotes (>= ${binary:Version}),
 konsolekalendar (>= ${binary:Version}),
 kontact (>= ${binary:Version}), korganizer (>= ${binary:Version}),
 ktimetracker (>= ${binary:Version}),
 kdepim-strigi-plugins (>= ${binary:Version}),
 libkdepim4 (>= ${binary:Version}), kdepimlibs5-dev (>= 4:4.3.80),
 libphonon-dev (>= 4:4.6.0really4.3.80),
 libgpgme11-dev, libboost1.42-dev, libboost-graph1.42-dev, libsasl2-dev, libxss-dev,
 libqca2-dev (>= 2.0.0), libpisock-dev, libassuan-dev, libstreams-dev,
 libstreamanalyzer-dev, libsearchclient-dev, libstrigihtmlgui-dev,
 libstrigiqtdbusclient-dev, zlib1g-dev, libakonadi-dev (>= 1.2.80),
 ${shlibs:Depends}
Conflicts: kmail (<= 4:4.2.1)
Replaces: kmail (<= 4:4.2.1)
Description: Contains development files needed to compile kdepim applications.
 This package is part of KDE, and a component of the KDE PIM module.
 See the 'kde' and 'kdepim' packages for more information.

Package: kdepim-doc
Section: doc
Architecture: all
Conflicts: akregator (<< 4:4.2.85-0ubuntu4)
Replaces: kjots (<< 4:4.3.3), knotes (<< 4:4.3.3)
Suggests: konqueror | www-browser, doc-base
Description: KDE Personal Information Management library documentation
 KDE core library documentation. You need this documentation to develop KDE PIM
 applications.
 .
 This package is part of KDE, and a component of the KDE PIM module.
 See the 'kde' and 'kdepim' packages for more information.

Package: akregator
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kontact (<< 4:4.2.85)
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator for KDE
 Akregator is a news feed reader for the KDE desktop. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kaddressbook
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdepim-kresources
Replaces: korganizer (<< 4:4.2.85), kontact (<< 4:4.2.85)
Description: KDE address book
 KAddressBook is the main address book application for KDE; it enables you
 to manage your contacts efficiently and comfortably. It can load and save
 your contacts to many different locations, including the local file system,
 LDAP servers, and SQL databases.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kalarm
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: kttsd
Homepage: http://www.astrojar.org.uk/kalarm/
Description: KDE alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file, It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .
 As an alternative to using the graphical interface, alarms can be scheduled
 from the command line or via DBus calls from other programs. KAlarm is
 KDE-based, but will also run on other desktops.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kdepim-kresources
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: korganizer
Suggests: knotes
Replaces: korganizer (<< 4:4.2.85)
Description: KDE PIM resource plugins
 This package adds more resource plugins for KDE PIM applications such as
 blogging, tracking feature plans etc.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kdepim-groupware
Section: kde
Architecture: any
Recommends: kdepim-wizards
Replaces: korganizer (<< 4:4.2.85), knotes (<< 4:4.2.2-0ubuntu1), kaddressbook (<< 4:4.1.80), libkdepim4 (<< 4:4.2.85),
 kdepim-kresources (<< 4:4.1.80)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, kdepim-runtime
Description: KDE PIM Groupware plugins
 This package includes several plugins used by KDE PIM components to
 interface with Groupware servers. Supported Groupware platforms include
 eGroupware, Kolab 2, Scalix and SLOX (SuSE Linux Openexchange Server),
 Novell GroupWise and GroupDAV.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kdepim-wizards
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdepim-groupware (= ${binary:Version})
Suggests: egroupware
Description: KDE server configuration wizards
 This package contains KDE-based wizards for configuring KDE PIM applications
 to access eGroupware, Kolab 2, Scalix and SLOX (SuSE Linux Openexchange
 Server) and Novell GroupWise groupware servers.
 .
 This package is part of KDE, and a component of the KDE PIM module.

#Package: kitchensync
#Section: kde
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Suggests: konqueror
#Conflicts: kdebluetooth-irmcsync (<< 0.99+1.0beta2-4.1)
#Homepage: http://www.opensync.org/wiki/kitchensync
#Description: Synchronization framework
# This package contains a synchronization framework, still under heavy
# development.  Kitchensync uses opensync.
# .
# This package is part of KDE, and a component of the KDE PIM module.

Package: kleopatra
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 gnupg-agent, gnupg2, gpgsm, dirmngr, pinentry-qt4
Replaces: kdepim-doc (<< 4:4.4.60)
Description: KDE Certificate Manager
 Kleopatra is the KDE tool for managing X.509 certificates in the gpgsm
 keybox and for retrieving certificates from LDAP servers.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kmail
Section: mail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, kdepim-runtime
Recommends: gnupg2, gnupg,  gnupg-agent, pinentry-qt4
Suggests: kaddressbook, procmail, kleopatra, spamassassin | bogofilter | spambayes | bsfilter | crm114, clamav
Replaces: kmailcvt (<< 4:3.90.0), akonadi-kde (<< 4:4.1.3), kontact (<< 4:4.2.85)
Provides: imap-client, mail-reader
Homepage: http://kontact.kde.org/kmail/
Description: KDE Email client
 KMail is a fully-featured email client that fits nicely into the KDE
 desktop. It has features such as support for IMAP, POP3, multiple accounts,
 mail filtering and sorting, PGP/GnuPG privacy, and inline attachments.
 .
 This package also contains Nepomuk EMail Feeder Akonadi Agent.
 .
 This package is part of KDE, and a component of the KDE PIM module.

# Package: kmobiletools
# Section: utils
# Architecture: any
# Depends: ${shlibs:Depends}, ${misc:Depends}
# Homepage: http://www.kmobiletools.org/
# Description: KDE application to control mobile phones
#  MobileTools is a KDE application that allows you to control your mobile phone.
#  Actually, this application supports: SMS reading/writing/sending/deleting ,
#  multiple SMS destinations (if supported by the phone), calls handling (dial,
#  answer, close), phonebook reading, viw last answered calls and last unanswered
#  calls lists.
#  .
#  This package is part of KDE, and a component of the KDE PIM module.

Package: knode
Section: news
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdepim-runtime
Replaces: kdepim-dev (<< 4:3.4.0), kontact (<< 4:4.2.85)
Provides: news-reader
Homepage: http://kontact.kde.org/knode/
Description: KDE news reader
 KNode is an easy-to-use, convenient newsreader. It is intended to be usable
